=== examples/CMakeLists.txt ===
add_subdirectory(sizeview)
add_subdirectory(touch)
